︠e5edd69f-cfb6-4f49-8ad6-0129ef99b96bs︠
from sage.symbolic.relation import solve_ineq
@interact
def _(error=input_box(1,label='If we want the distance between $x^2+2x+2$ and $1$ smaller than ')):
    f=x^2+2*x+2
    background=plot(x^2+2*x+2,-2.5,0.5,thickness=3)
    solution=(x^2+2*x+1-error).roots(ring=RR)
    Line0=plot(1,-2.5,0.5,thickness=1.5,linestyle='--')
    Line1=plot(1+error,-2.5,0.5,thickness=1.5,linestyle='--')
    Line2=line([(solution[0][0],0),(solution[0][0],3)],linestyle='--',thickness=1.5)
    Line3=line([(solution[1][0],0),(solution[1][0],3)],linestyle='--',thickness=1.5)
    Line4=line([(0.5,1),(0.5,1+error)],marker='^')
    background+=Line0
    background+=Line1
    background+=Line2
    background+=Line3
    background+=Line4
    graphs=point([(solution[i][0],0) for i in range(2)],size=100,color='red')+background
    graphs.show(figsize=10)
︡f233c22b-2f5d-48e7-8e72-b2608326b236︡{"interact":{"controls":[{"control_type":"input-box","default":1,"label":"If we want the distance between $x^2+2x+2$ and $1$ smaller than ","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"error","width":null}],"flicker":false,"id":"ef2c748f-6a7d-4f7f-919f-d33e6860fa01","layout":[[["error",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}︡
︠883222f2-ac8f-4616-bb98-390da47e38e9s︠
background=plot(x^2,0,2,thickness=3,aspect_ratio=1/2)
times=[1+1/n for n in range(1,121)]
films=[point([(t,t^2),(t,0),(0,t^2)],color='red',size=100)+line([(t,t^2),(0,t^2)],linestyle="--",thickness=1.5)+line([(t,t^2),(t,0)],thickness=1.5,linestyle="--")+background for t in times]
a=animate(films,xmax=2,xmin=0,ymax=4,ymin=-0.1,figsize=15)
show(a)
︡038a23d3-c26f-44c4-83e4-8450f60c3e1b︡{"stderr":"Error in lines 5-5\n"}︡{"stderr":"Traceback (most recent call last):\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_server.py\", line 1013, in execute\n    exec compile(block+'\\n', '', 'single') in namespace, locals\n  File \"\", line 1, in <module>\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_salvus.py\", line 2678, in show\n    s = show0(objs, combine_all=True)\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_salvus.py\", line 2639, in show0\n    b = show0(a)\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_salvus.py\", line 2608, in show0\n    show_animation(obj, **kwds)\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_salvus.py\", line 2402, in show_animation\n    obj.ffmpeg(t, delay=delay, **kwds)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/sage/plot/animate.py\", line 930, in ffmpeg\n    pngdir = self.png()\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/sage/plot/animate.py\", line 469, in png\n    save_image(filename, **self._kwds)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/sage/plot/graphics.py\", line 3025, in save_image\n    self.save(filename, *args, **kwds)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/sage/misc/decorators.py\", line 483, in wrapper\n    return func(*args, **kwds)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/sage/plot/graphics.py\", line 3189, in save\n    figure.tight_layout()\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/figure.py\", line 1754, in tight_layout\n    rect=rect)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/tight_layout.py\", line 349, in get_tight_layout_figure\n    pad=pad, h_pad=h_pad, w_pad=w_pad)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/tight_layout.py\", line 126, in auto_adjust_subplotpars\n    tight_bbox_raw = union([ax.get_tightbbox(renderer) for ax in subplots])\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/axes/_base.py\", line 3683, in get_tightbbox\n    bb_yaxis = self.yaxis.get_tightbbox(renderer)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/axis.py\", line 1073, in get_tightbbox\n    ticks_to_draw = self._update_ticks(renderer)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/axis.py\", line 949, in _update_ticks\n    tick_tups = [t for t in self.iter_ticks()]\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/axis.py\", line 899, in iter_ticks\n    minorTicks = self.get_minor_ticks(len(minorLocs))\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/axis.py\", line 1318, in get_minor_ticks\n    tick = self._get_tick(major=False)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/axis.py\", line 2000, in _get_tick\n    return YTick(self.axes, 0, '', major=major, **tick_kw)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/axis.py\", line 150, in __init__\n    self.tick1line = self._get_tick1line()\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/axis.py\", line 538, in _get_tick1line\n    zorder=self._zorder)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/lines.py\", line 338, in __init__\n    self._marker = MarkerStyle()\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/markers.py\", line 172, in __init__\n    self.set_fillstyle(fillstyle)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/markers.py\", line 222, in set_fillstyle\n    self._recache()\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/markers.py\", line 186, in _recache\n    self._transform = IdentityTransform()\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/transforms.py\", line 1641, in __init__\n    Transform.__init__(self, *args, **kwargs)\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/matplotlib/transforms.py\", line 98, in __init__\n    self._parents = WeakValueDictionary()\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/weakref.py\", line 56, in __init__\n    def remove(wr, selfref=ref(self), _atomic_removal=_remove_dead_weakref):\n"}︡{"stderr":"  File \"src/cysignals/signals.pyx\", line 251, in cysignals.signals.python_check_interrupt\n  File \"src/cysignals/signals.pyx\", line 94, in cysignals.signals.sig_raise_exception\nKeyboardInterrupt\n"}︡{"done":true}︡
︠a793c3ca-154f-48e0-bc1d-967c461dce73s︠
background=plot(x^2*(x-1)/(x-1),0,2,thickness=3,aspect_ratio=1/2)
pt = point([(1,0),(1, 1)], rgbcolor='white', pointsize=100, faceted=True)
background+=pt
times=[1+1/n for n in range(1,121)]
films=[point([(t,t^2),(t,0),(0,t^2)],color='red',size=100)+line([(t,t^2),(0,t^2)],linestyle="--",thickness=1.5)+line([(t,t^2),(t,0)],linestyle="--",thickness=1.5)+background for t in times]
a=animate(films,xmax=2,xmin=0,ymax=4,ymin=-0.1,figsize=15)
show(a)
︡3052e353-d4aa-475a-81a6-34ceeabcf2ad︡{"file":{"filename":"/home/user/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/15761/tmp_prxIE6.webm","show":true,"text":null,"url":"/bf430a65-042e-40da-b283-90ede2b5ee6f/raw/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/15761/tmp_prxIE6.webm"},"once":false}︡{"done":true}︡
︠82d556ba-40a1-4a68-bedc-bc90fbdf2739s︠

background=plot(1/t,0,1,ymin=0,ymax=(100),xmin=0,xmax=1,aspect_ratio=1/(100),linestyle='--')
films=[background+point([(1/x,x),(1/x,0)],color='red', size=100)+line([(1/x,x),(1/x,0)],linestyle='--',thickness=1.5) for x in range(1,101)]
a=animate(films)
︡61365a45-40c9-4d81-9d48-4a7220afee85︡{"done":true}︡
︠70aba007-fbfe-4af0-973a-47209e72d641s︠
a.show()
︡12bbd54c-6f01-4748-beea-8c4b0d1357b9︡{"file":{"filename":"/home/user/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/34071/tmp_LAxa5a.webm","show":true,"text":null,"url":"/bf430a65-042e-40da-b283-90ede2b5ee6f/raw/.sage/temp/project-bf430a65-042e-40da-b283-90ede2b5ee6f/34071/tmp_LAxa5a.webm"},"once":false}︡{"done":true}︡
︠9c26e370-7b59-4131-b0dd-f4386a7d39f5︠









